Bug 238949 (CVE-2007-2242) - CVE-2007-2242 IPv6 routing headers issue
Summary: CVE-2007-2242 IPv6 routing headers issue
Status: CLOSED ERRATA
Alias: CVE-2007-2242
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=cansecwest,re...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 02:10 UTC by Marcel Holtmann
Modified: 2016-07-06 23:44 UTC (History)
4 users (show)

Fixed In Version: RHSA-2007-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 18:57:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0347 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-05-16 18:56:58 UTC

Description Marcel Holtmann 2007-05-04 02:10:30 UTC
The IPv6 protocol allows remote attackers to cause a denial of service via
crafted IPv6 type 0 route headers (IPV6_RTHDR_TYPE_0) that create network
amplification between two routers.

http://www.secdev.org/conf/IPv6_RH_security-csw07.pdf

Comment 1 Don Howard 2007-05-07 17:13:46 UTC
A patch for this issue has been included in build 2.6.18-8.1.4.el5.

Comment 2 Mike Gahagan 2007-05-09 20:19:11 UTC
confirmed patch to disable RH0 ipv6 is in 2.6.18-8.1.4.el5.

Comment 6 Red Hat Bugzilla 2007-05-16 18:57:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0347.html



Note You need to log in before you can comment on or make changes to this bug.